import React from 'react'
import { mount } from 'enzyme'
import StyledCard from './StyledCard'
import { FluidType } from 'enum/fluid.enum'

describe('StyledCard component test', () => {
  it('should render correctly Electricty StyledCard', () => {
    const wrapper = mount(<StyledCard fluidType={FluidType.ELECTRICITY} />)
    expect(wrapper.getElement()).toMatchSnapshot()
  })

  it('should render correctly Water StyledCard', () => {
    const wrapper = mount(<StyledCard fluidType={FluidType.WATER} />)
    expect(wrapper.getElement()).toMatchSnapshot()
  })

  it('should render correctly Gas StyledCard', () => {
    const wrapper = mount(<StyledCard fluidType={FluidType.GAS} />)
    expect(wrapper.getElement()).toMatchSnapshot()
  })
})
