import React from 'react'
import { shallow } from 'enzyme'
import DuelError from 'components/Duel/DuelError'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})

describe('DuelError component', () => {
  it('should be rendered correctly', () => {
    const component = shallow(<DuelError />).getElement()
    expect(component).toMatchSnapshot()
  })
})
