import { DateTime } from 'luxon'
import { Profile } from 'models'

export const profileData: Profile = {
  _id: '4d9403218ef13e65b2e3a8ad1700bc41',
  _rev: '16-57473da4fc26315247c217083175dfa0',
  id: '4d9403218ef13e65b2e3a8ad1700bc41',
  ecogestureHash: '9798a0aaccb47cff906fc4931a2eff5f9371dd8b',
  challengeHash: '1136feb6185c7643e071d14180c0e95782aa4ba3',
  duelHash: '1136feb6185c7643e071d14180c0e95782aa4ba3',
  quizHash: '1136feb6185c7643e071d14180c0e95782aa4ba3',
  explorationHash: '1136feb6185c7643e071d14180c0e95782aa4ba3',
  isFirstConnection: true,
  sendConsumptionAlert: false,
  waterDailyConsumptionLimit: 0,
  mailToken: '',
  lastConnectionDate: DateTime.fromISO('2020-11-03T00:00:00.000Z', {
    zone: 'utc',
  }),
  haveSeenLastAnalysis: true,
  monthlyAnalysisDate: DateTime.fromISO('2020-11-03T00:00:00.000Z', {
    zone: 'utc',
  }),
  sendAnalysisNotification: false,
  isProfileTypeCompleted: false,
  onboarding: {
    isWelcomeSeen: false,
  },
  haveSeenEcogestureModal: false,
  isProfileEcogestureCompleted: false,
  activateHalfHourDate: DateTime.fromISO('2020-11-03T00:00:00.000Z', {
    zone: 'utc',
  }),
  customPopupDate: DateTime.fromISO('2020-11-03T00:00:00.000Z', {
    zone: 'utc',
  }),
  partnersIssueSeenDate: {
    enedis: DateTime.fromISO('2020-11-03T00:00:00.000Z', {
      zone: 'utc',
    }),
    egl: DateTime.fromISO('2020-11-03T00:00:00.000Z', {
      zone: 'utc',
    }),
    grdf: DateTime.fromISO('2020-11-03T00:00:00.000Z', {
      zone: 'utc',
    }),
  },
}
